"""
Registration Application Configuration
=================================

This module contains the `RegistrationConfig` class, which is responsible for
configuring the Registration Django application.

Example:
--------
To configure this application, you need to add the following line to the
`INSTALLED_APPS` setting in your Django project:

    'registration.apps.RegistrationConfig',

Classes:
--------
RegistrationConfig : AppConfig
    A class to configure the Registration Django application.

"""

from django.apps import AppConfig

class RegistrationConfig(AppConfig):
    """
    Registration Application Configuration Class.

    This class inherits from `AppConfig` to configure the Registration application.
    It overrides the `default_auto_field` and `name` attributes to set default
    settings for the application.

    Attributes:
    -----------
    default_auto_field : str
        The default auto field type to use for autogenerated primary keys.
        Default is 'django.db.models.BigAutoField'.

    name : str
        The name of the Django application. This is used by Django to identify
        the application within the project. Default is 'registration'.
    """
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'registration'
